## lcms 1.08

=== src/Makefile ===
SHELL = /bin/sh

CFLAGS  = -g -O4 -I../include -fomit-frame-pointer -Wall 
BASEDIR = $(DESTDIR)/usr
BINDIR  = $(BASEDIR)/bin
LIBDIR  = $(BASEDIR)/lib
INCDIR  = $(BASEDIR)/include
VERSION = 1.08
AR      = ar -cru
RANLIB  = ranlib

.c.o:	
	$(CC) $(CFLAGS) $(LDFLAGS) -c $<

SRCS = cmscnvrt.c cmserr.c cmsgamma.c cmsgmt.c cmsintrp.c cmsio1.c \
	cmslut.c cmsmatsh.c cmsmtrx.c cmspack.c cmspcs.c cmswtpnt.c \
	cmsxform.c cmssamp.c cmscam97.c 

OBJS = $(SRCS:.c=.o)



all:	liblcms.a # liblcms.so.${VERSION} 


#
# Library
#

liblcms.a: $(OBJS)
	$(AR) liblcms.a $(OBJS)
	$(RANLIB) liblcms.a

liblcms.so.${VERSION}: $(OBJS) 
	-$(CC) $(CFLAGS) $(LDFLAGS) -shared -o liblcms.so.${VERSION} $(OBJS) 
	-ln -s liblcms.so.${VERSION} liblcms.so.1
	-ln -s liblcms.so.1 liblcms.so

#
# Installation
#

install: liblcms.a  # liblcms.so.${VERSION}
	mkdir -p $(BINDIR) $(LIBDIR) $(INCDIR)
	# -cp -a liblcms.so* $(LIBDIR)
	cp -a liblcms.a $(LIBDIR)
	cp ../include/lcms.h ../include/icc34.h $(INCDIR)

#
# Test programs
#

test:
	# we are doing nothing for the test target



#
# Cleanup
#

clean:
	-rm $(OBJS)  liblcms.a # liblcms.so.${VERSION} liblcms.so.1 liblcms.so

## lcms 1.17.dfsg-1maemo1

=== debian/changelog ===
lcms (1.17.dfsg-1maemo1) intrepid; urgency=low

  * Removed python support.

 -- Jonas Hurrelmann <j@outpo.st>  Mon, 18 Aug 2008 22:43:24 +0200

lcms (1.17.dfsg-1) unstable; urgency=low

  * Removed Adobe sRGB profiles from the testdbed and python/testbed
    directories (Closes: #491995).

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 24 Jul 2008 14:29:36 -0600

lcms (1.17-2) unstable; urgency=medium

  * debian/rules: Added a rule to regenerate lcms_wrap.cxx with swig to
    prevent FTBFS on 64-bit arches.
  * debian/control: Added a build-depends on swig.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 21 Jul 2008 13:07:24 -0600

lcms (1.17-1) unstable; urgency=low

  * New upstream maintenance release (Closes: #490412).
  * debian/control: Updated Standards-Version to 3.8.0.

 -- Oleksandr Moskalenko <malex@debian.org>  Sat, 12 Jul 2008 13:05:36 -0600

lcms (1.16-10) unstable; urgency=high

  * debian/tmp/usr/lib/*.so usr/lib/ got lost from liblcms1-dev.install at
    some point of making 1.16-9. Add it back (Closes: #477035).

 -- Oleksandr Moskalenko <malex@debian.org>  Sun, 20 Apr 2008 12:31:46 -0600

lcms (1.16-9) unstable; urgency=high

  [Oleksandr Moskalenko <malex@debian.org>]
  * debian/changelog: Used urgency=high due to python2.5 transition.
  * debian/control:
    - Removed Shiju p. Nair from maintainers.
    - Removed XS- prefix from  Vcs-Svn and Vcs-Browser.
    - Updated Standards-Version to 3.7.3.
    - Changed deprecated ${Source-Version} substvar to ${source:Version} per
      lintian warning.
    - Added Depends on ${shlibs:Depends} for liblcms1-dev and python-liblcms
      per lintian error.
    - Changed python-liblcms section from "graphics" to "python" per lintian
      warning.
    - Changed source:Version to binary:Version for liblcms1-dev and
      python-liblcms to make the package safely binnmuable.
    - Changed description of python-liblcms per lintian spelling warning.
  * debian/man/*: fixed the .p tag in all affected files to .TP tag per
    lintian warnings.
  * Removed NEWS.Debian and its entry from liblcms1.docs (Closes: #459284).
  * Removed README.Debian as we don't put anything into __init__py now.
  * Regenerated swig files by running python/swig_lcms (Closes: #475919).
  [Thomas Viehmann <tv@beamnet.de>]
  * Used the tmp directory instead of ${package} for package building i.e
    debian/liblcms1.install should use the new path (Closes: #476331).
  * Removed debian/liblcms1-dev.install so as to not install python
    version-specific .a/.la files into /usr/lib. (Closes: #476329).
  * Modified debian/rules, debian/python-liblcms.dirs,
    debian/python-liblcms.install to cleanly build and install python-liblcms
    for all python versions (Closes: #476330). Also emptied
    debian/__init__.py.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 16 Apr 2008 12:52:55 -0600

lcms (1.16-8) unstable; urgency=low

  * debian/__init__.py: Import lcms module into the current namespace to allow
    for "import lcms" instead of "from lcms import lcms".
  * debian/NEWS.Debian and debian/README.Debian: Add a note about the above
    change.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 04 Jan 2008 16:36:46 -0700

lcms (1.16-7) unstable; urgency=low

  * debian/rules: Updated python version detection to use "pyversions -d"
    (Closes: #436541).
  * python: Ran swig_lcms to regenerate swig interface files (Closes: #436540).

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 15 Nov 2007 12:20:01 -0700

lcms (1.16-6) unstable; urgency=low

  * Trigger a new build on mipsel to try getting liblcms1 into testing.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 12 Jul 2007 17:40:40 -0600

lcms (1.16-5) unstable; urgency=low

  * Upload into unstable since it's through the NEW queue.
  * debian/control: Added XS-Vcs-Svn and XS-Vcs-Browser headers.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 07 May 2007 16:10:00 -0600

lcms (1.16-4) experimental; urgency=low

  * Second attempt to get the python-liblcms through NEW with an experimental
    package.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 13 Apr 2007 11:07:54 -0600

lcms (1.16-3) unstable; urgency=low

  * Revert liblcms1-dev file location from /usr/include/liblcms1 to
    /usr/include before people start complaining about FTBFS bugs in other
    packages. Temporarily remove python-liblcms to avoid NEW queue.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 12 Apr 2007 16:48:49 -0600

lcms (1.16-2) experimental; urgency=low

  * Upload to experimental as the python extension support I added could be
    buggy.
  * debian/compat: Bumped compatibility level up to 5.
  * debian/control: Bumped debhelper dependency to 5.0.38.
  * Package python bindings as python-liblcms (Closes: #293433, #313221).
    - debian/control:
      + Add a section for python-liblcms.
      + Add build-depends on python-all-dev (>= 2.3.5-11) and
        python-support (>= 0.5.3).
      + Add depends on ${python:Depends} and dpatch.
    - debian/rules:
      + Add "--with-python" key to make for building extensions.
      + Add rules to move extensions files from liblcms1-dev tree to
        liblcms-python.
      + Add a dh_pysupport call.
    - Added python-liblcms.dirs.
    - Added python-liblcms.install.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 11 Apr 2007 13:31:39 -0600

lcms (1.16-1) unstable; urgency=low

  * New upstream release (Closes: #418454).
  * debian/shlibs: Bump shlibs to current version (Closes: #418453).
  * Updated libtool scripts (Closes: #342689).
  * debian/control:
    - Add myself to uploaders per advice from Tony Mancill
      <tmancill@debian.org> as Shiju could be MIA.
    - Update Standards-Version to 3.7.2.
  * Rename docs to liblcms1.docs and move API docs and tutorial to
    liblcms1-dev.docs (Closes: #313220).
  * debian/copyright: Updated the copyright file.
  * debian/compat: Set the compatibility level to 4 in this file.


=== debian/control ===
Source: lcms
Section: libs
Priority: optional
Maintainer: Oleksandr Moskalenko <malex@debian.org>
Build-Depends: debhelper (>> 5.0.38), libtiff4-dev, libjpeg62-dev, zlib1g-dev, dpatch
Standards-Version: 3.8.0
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/lcms/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/lcms/trunk/?op=log

Package: liblcms1
Architecture: any
Section: libs
Replaces: liblcms
Provides: liblcms
Conflicts: liblcms
Suggests: liblcms-utils
Depends: ${shlibs:Depends}
Description: Color management library
 lcms is a standalone CMM engine, which deals with the color management.
 It implements a fast transformation between ICC profiles. The intention
 of it is to be portable across several platforms.

Package: liblcms-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends}
Description: Color management library (Additional utilities)
 lcms is a standalone CMM engine, which deals with the color management.
 It implements a fast transformation between ICC profiles. The intention
 of it is to be portable across several platforms. This package contains
 additional utilities(jpegicc and tifficc) which comes with lcms.

Package: liblcms1-dev
Architecture: any
Section: libdevel
Replaces: liblcms-dev
Provides: liblcms-dev
Conflicts: liblcms-dev
Depends: liblcms1 (= ${binary:Version})
Description: Color management library (Development headers)
 Development headers for Little CMS color management library.
 lcms is a standalone CMM engine, which deals with the color management.
 It implements a fast transformation between ICC profiles. The intention
 of it is to be portable across several platforms.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq ($(ARCH),alpha)
  export CFLAGS="-O0 -mieee -fPIC -I../include -fno-exceptions -fomit-frame-pointer -Wall"
else
  export CFLAGS="-O2 -fPIC -I../include -fno-exceptions -fomit-frame-pointer -Wall"
endif

PYVER=`pyversions -d`

patch-stamp:
	dpatch apply-all
	touch patch-stamp

unpatch:
	dpatch deapply-all
	rm -rf patch-stamp debian/patched

build: patch-stamp build-stamp
build-stamp:
	dh_testdir
ifeq ($(ARCH),alpha)
	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
endif
ifeq ($(ARCH),hppa)
	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
endif
ifeq ($(ARCH),sparc)
	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
endif
ifeq ($(ARCH),powerpc)
	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
endif
	CFLAGS=$(CFLAGS) ./configure --prefix=/usr --without-python
	make CFLAGS=$(CFLAGS)
	touch build-stamp

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	echo "#undef USE_BIG_ENDIAN" >include/lcms-endian.h
	rm -f include/lcms-endian.h
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	make DESTDIR=`pwd`/debian/tmp install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installman
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_perl
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## lcms 1.19.dfsg

=== debian/changelog ===
lcms (1.19.dfsg-1.2~1ubuntu16.10.0+2) yakkety; urgency=low

  * Change debhelper compatibility level to 7

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Aug 2016 18:53:28 +0200

lcms (1.19.dfsg-1.2~1ubuntu16.10.0+1~a) yakkety; urgency=low

  * debian/rules: update config.{guess,sub} at build time

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 13 Jan 2015 22:02:12 +0100

lcms (1.19.dfsg-1.2~0ubuntu15.04.0+1~a) vivid; urgency=low

  * Jessie rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 27 Nov 2014 20:29:00 -0600

lcms (1.19.dfsg-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "static library in /usr/share": 
    debian/rules: re-enable removal of .a and .la files from the
    python-liblcms packages (they get installed to dist-packages instead of
    site-packages now).
    (Closes: #684019)
  * Fix "Please enabled hardened build flags":
    debian/rules: apply updated patch from Moritz Muehlenhoff: use
    dpkg-buildflags to get all *FLAGS.
    (Release goal, closes: #654821)
  * debian/liblcms1-dev.install: don't install not-dependend-on .la file
    anymore.
    (Release goal)

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 Aug 2012 16:37:14 +0200

lcms (1.19.dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply Multi-Arch patch.  Closes: #637732.

 -- Mark Hymers <mhy@debian.org>  Sun, 13 May 2012 17:05:05 +0000

lcms (1.19.dfsg-1) unstable; urgency=low

  * Upstream legacy update to 1.19 (Closes: #593314).
  * debian/rules:
    - Updated the binary package descriptions (Closes: #608007).
    - Switched rules from py_support to py_support2.
    - Removed patching rules.
  * debian/control:
    - Change build-depends on libjpeg62-dev to libjpeg-dev (Closes: #634136).
    - Removed deprecated python-support package from build depends.;
    - Updated standards version to 3.9.2.
    - Removed a depends on dpatch.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 18 Jul 2011 17:26:55 -0500

lcms (1.18.dfsg-1.2) unstable; urgency=low

  * Non-maintainer upload
  * Fix silly copy&paste error (Really Closes: #560993)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 06 Jan 2010 22:06:15 +0100

lcms (1.18.dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Fix CVE-2009-0793 (Closes: #530785)
  * Fix detection of sparc64, patch by Aurelien Jarno (Closes: #560993)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 26 Dec 2009 16:46:23 +0100

lcms (1.18.dfsg-1) unstable; urgency=low

  * New upstream release. It includes correct fixes for the security problems
    fixed in 1.17.dfsg-2.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 03 Apr 2009 08:50:38 -0600

lcms (1.17.dfsg-2) unstable; urgency=low

  [Steffen Joeris <white@debian.org>]
  * Include upstream fixes for integer overflows, possible memory leaks and a
    buffer overflow. Fixes: CVE-2009-0723 CVE-2009-0581 CVE-2009-0733.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 12 Mar 2009 10:38:30 -0600

=== debian/control ===
Source: lcms
Section: libs
Priority: optional
Maintainer: Oleksandr Moskalenko <malex@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libtiff5-dev, libjpeg-dev, zlib1g-dev, python-all-dev (>= 2.3.5-11), swig
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/lcms/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/lcms/trunk/?op=log

Package: liblcms1
Architecture: any
Multi-Arch: same
Section: libs
Replaces: liblcms
Provides: liblcms
Conflicts: liblcms
Suggests: liblcms-utils
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}
Description: Little CMS color management library
 lcms is a standalone CMM engine, which deals with the color management.
 LittleCMS implements a fast transformation between ICC profiles. The
 intention of it is to be portable across several platforms.

Package: liblcms-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends}
Description: Little CMS color management library utilities
 lcms is a standalone CMM engine, which deals with the color management.
 LittleCMS implements a fast transformation between ICC profiles. The
 intention of it is to be portable across several platforms. This package
 contains additional utilities(jpegicc and tifficc) which comes with lcms.

Package: liblcms1-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Replaces: liblcms-dev
Provides: liblcms-dev
Conflicts: liblcms-dev
Depends: liblcms1 (= ${binary:Version})
Description: Litle CMS color management library development headers
 Development headers for Little CMS color management library.
 lcms is a standalone CMM engine, which deals with the color management.
 LittleCMS implements a fast transformation between ICC profiles. The
 intention of it is to be portable across several platforms.

Package: python-liblcms
Priority: optional
Section: python
Architecture: any
Depends: liblcms1 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}
Description: Python bindings for Little CMS color management library
 LittleCMS color management library Python bindings have been produced
 with SWIG and allow access to liblcms1 functions from Python code.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 # GNU copyright 1997 to 1999 by Joey Hess.
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 ifeq ($(ARCH),alpha)
@@ -13,15 +15,7 @@
 
 PYVER=`pyversions -d`
 
-patch-stamp:
-	dpatch apply-all
-	touch patch-stamp
-
-unpatch:
-	dpatch deapply-all
-	rm -rf patch-stamp debian/patched
-
-build: patch-stamp build-stamp
+build: build-stamp
 build-stamp:
 	dh_testdir
 ifeq ($(ARCH),alpha)
@@ -33,17 +27,32 @@
 ifeq ($(ARCH),sparc)
 	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
 endif
+ifeq ($(ARCH),sparc64)
+	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
+endif
 ifeq ($(ARCH),powerpc)
 	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
 endif
-	CFLAGS=$(CFLAGS) ./configure --prefix=/usr --without-python
-	make CFLAGS=$(CFLAGS)
+ifneq "$(wildcard /usr/share/misc/config.sub)" ""
+	cp -f /usr/share/misc/config.sub config.sub
+endif
+ifneq "$(wildcard /usr/share/misc/config.guess)" ""
+	cp -f /usr/share/misc/config.guess config.guess
+endif
+	./configure $(shell dpkg-buildflags --export=configure) --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --with-python
+	cd python && ./swig_lcms && cd ..
+	make
 	touch build-stamp
 
-clean: clean-patched unpatch
-clean-patched:
+clean: 
 	dh_testdir
 	rm -f build-stamp configure-stamp
+ifneq "$(wildcard /usr/share/misc/config.sub)" ""
+	rm -f config.sub
+endif
+ifneq "$(wildcard /usr/share/misc/config.guess)" ""
+	rm -f config.guess
+endif
 	[ ! -f Makefile ] || $(MAKE) distclean
 	echo "#undef USE_BIG_ENDIAN" >include/lcms-endian.h
 	rm -f include/lcms-endian.h
@@ -55,6 +64,8 @@
 	dh_clean -k
 	dh_installdirs
 	make DESTDIR=`pwd`/debian/tmp install
+	rm -f `pwd`/debian/tmp/usr/lib/python*/*-packages/*.a \
+	`pwd`/debian/tmp/usr/lib/python*/*-packages/*.la
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -73,6 +84,7 @@
 	dh_fixperms
 	dh_makeshlibs -V
 	dh_perl
+	dh_python2 --no-guessing-versions
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## lcms 1.19.dfsg2

=== debian/changelog ===
lcms (1.19.dfsg2-1.6~0ubuntu21.10.0+2) impish; urgency=medium

  * Add dh-python to build-deps.

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 09 Sep 2020 17:12:48 +0200

lcms (1.19.dfsg2-1.6~0ubuntu20.10.0+1~a) groovy; urgency=medium

  * Change debhelper compatibility level to 9

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 07 Apr 2020 12:45:56 +0200

lcms (1.19.dfsg2-1.5ubuntu20.04.0+0~a) focal; urgency=medium

  * Remove lcms-dev from Provides, Replaces and Conflics
    + this allows to install lcms1-dev alongside lcms2-dev
  * Change debhelper compatibility level to 7
  * Pick patches to quilt format

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 01 Aug 2018 01:48:58 +0200

lcms (1.19.dfsg2-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove non-free file python/testbed/AdobeRGB1998.icc from source tarball
    (Closes: #753759). Also remove testbed/sRGBSpac.icm
  * Really add watchfile (Closes: #742749)

 -- Tobias Frost <tobi@debian.org>  Sun, 03 Aug 2014 18:40:37 +0000

lcms (1.19.dfsg1-1.4) unstable; urgency=medium

  * Non maintainer upload
  * Same as 1.19.dfsg1-1.3+autotool upload to debian-ports unreleased
  * Use dh_autoreconf to fix build on newer ports. (Closes: 543464)
    (thanks to Fernando Seiti Furusato)
  * Modify lcms.h to not assume powerpc is big endian and hence support
    ppc64el (thanks to Fernando Seiti Furusato)
  * Use DEB_BUILD_ARCH_ENDIAN rather than incomplete hardcoded list of big
    endian architectures in debian/rules.
    (though i'm not convinced the code in question actually does anything
    useful anyway).
  * Add watchfile from Tobaias Frost. (Closes: 742749)
  * Avoid build depending on transitional package libtiff4-dev.
  * Link icctrans with -lm to Fix link failure on amd64.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 21 May 2014 11:58:48 +0000

lcms (1.19.dfsg1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply fix from OpenSuse for CVE-2013-4276 (Closes: #718682)
  * Repack orig-source to remove non-dfsg free color profiles. This is
    necessary as the resulting lintian error
    license-problem-md5sum-non-free-file would lead to an autoreject
    (Closes: #736806).
  * Fix CVE-2013-4160 by backporting the fix from lcms-2 (Closes: #728208)

 -- Tobias Frost <tobi@coldtobi.de>  Thu, 27 Mar 2014 12:20:24 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,29 +15,14 @@
 
 PYVER=`pyversions -d`
 
+ENDIAN = $(shell dpkg-architecture -qDEB_BUILD_ARCH_ENDIAN)
+
 build: build-stamp
 build-stamp:
 	dh_testdir
-ifeq ($(ARCH),alpha)
+	dh_autoreconf
+ifeq ($(ENDIAN),)
 	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
-endif
-ifeq ($(ARCH),hppa)
-	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
-endif
-ifeq ($(ARCH),sparc)
-	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
-endif
-ifeq ($(ARCH),sparc64)
-	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
-endif
-ifeq ($(ARCH),powerpc)
-	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
-endif
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	cp -f /usr/share/misc/config.sub config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	cp -f /usr/share/misc/config.guess config.guess
 endif
 	./configure $(shell dpkg-buildflags --export=configure) --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --with-python
 	cd python && ./swig_lcms && cd ..
@@ -47,15 +32,10 @@
 clean: 
 	dh_testdir
 	rm -f build-stamp configure-stamp
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	rm -f config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	rm -f config.guess
-endif
 	[ ! -f Makefile ] || $(MAKE) distclean
 	echo "#undef USE_BIG_ENDIAN" >include/lcms-endian.h
 	rm -f include/lcms-endian.h
+	dh_autoreconf_clean
 	dh_clean
 
 install: build

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg.$// \
http://qa.debian.org/watch/sf.php/lcms/lcms-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
